Data Fields

# GameCreationSettings Struct Reference

Settings related to the creation of games. More...

`#include <settings_type.h>`

## Data Fields
uint32 | generation_seed
| noise seed for world generation
Year | starting_year
| starting date
uint8 | map_x
| X size of map.
uint8 | map_y
| Y size of map.
byte | land_generator
| the landscape generator
byte | oil_refinery_limit
| distance oil refineries allowed from map edge
byte | snow_line_height
| a number 0-15 that configured snow line height
byte | tgen_smoothness
| how rough is the terrain from 0-3
byte | tree_placer
| the tree placer algorithm
byte | heightmap_rotation
| rotation director for the heightmap
byte | se_flat_world_height
| land height a flat world gets in SE
byte | town_name
| the town name generator used for town names
byte | landscape
| the landscape we're currently in
byte | water_borders
| bitset of the borders that are water
uint16 | custom_town_number
| manually entered number of towns
byte | variety
| variety level applied to TGP
byte | custom_sea_level
| manually entered percentage of water in the map
byte | min_river_length
| the minimum river length
byte | river_route_random
| the amount of randomicity for the route finding
byte | amount_of_rivers
| the amount of rivers

## Detailed Description

Settings related to the creation of games.

Definition at line 219 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h